<?php
//////////////////////////////////////////////////////////////
//        IISS - Internet Information Service System        //
// Fejleszt: [VegaNetworkTeam] - http://www.veganetwork.tk //
//                           ---                            //
//               IISS - The future in CMS                   //
//////////////////////////////////////////////////////////////
if (!defined('XOOPS_ROOT_PATH')) {
	exit();
}
include_once XOOPS_ROOT_PATH.'/class/downloader.php';
include_once XOOPS_ROOT_PATH.'/class/class.zipfile.php';

class XoopsZipDownloader extends XoopsDownloader
{
	function XoopsZipDownloader($ext = '.zip', $mimyType = 'application/x-zip')
	{
		$this->archiver = new zipfile();
		$this->ext      = trim($ext);
		$this->mimeType = trim($mimyType);
	}

	function addFile($filepath, $newfilename=null)
	{
		// Read in the file's contents
		$fp = fopen($filepath, "r");
		$data = fread($fp, filesize($filepath));
		fclose($fp);
		$filename = (isset($newfilename) && trim($newfilename) != '') ? trim($newfilename) : $filepath;
		$this->archiver->addFile($data, $filename, filemtime($filename));
	}

	function addBinaryFile($filepath, $newfilename=null)
	{
		// Read in the file's contents
		$fp = fopen($filepath, "rb");
		$data = fread($fp, filesize($filepath));
		fclose($fp);
		$filename = (isset($newfilename) && trim($newfilename) != '') ? trim($newfilename) : $filepath;
		$this->archiver->addFile($data, $filename, filemtime($filename));
	}

	function addFileData(&$data, $filename, $time=0)
	{
		$this->archiver->addFile($data, $filename, $time);
	}

	function addBinaryFileData(&$data, $filename, $time=0)
	{
		$this->addFileData($data, $filename, $time);
	}

	function download($name, $gzip = true)
	{
		$this->_header($name.$this->ext);
		echo $this->archiver->file();
	}
}
?>