<?php
//////////////////////////////////////////////////////////////
//        IISS - Internet Information Service System        //
// Fejleszt: [VegaNetworkTeam] - http://www.veganetwork.tk //
//                           ---                            //
//               IISS - The future in CMS                   //
//////////////////////////////////////////////////////////////

if (!defined('XOOPS_ROOT_PATH') || !is_object($xoopsModule)) {
	exit();
}

include_once XOOPS_ROOT_PATH.'/include/comment_constants.php';
if ('system' != $xoopsModule->getVar('dirname') && XOOPS_COMMENT_APPROVENONE == $xoopsModuleConfig['com_rule']) {
	exit();
}

include_once XOOPS_ROOT_PATH.'/language/'.$xoopsConfig['language'].'/comment.php';
$com_itemid = isset($HTTP_GET_VARS['com_itemid']) ? intval($HTTP_GET_VARS['com_itemid']) : 0;

if ($com_itemid > 0) {
	include XOOPS_ROOT_PATH.'/header.php';
	if (isset($com_replytitle)) {
		if (isset($com_replytext)) {
			themecenterposts($com_replytitle, $com_replytext);
		}
		$myts =& MyTextSanitizer::getInstance();
		$com_title = $myts->htmlSpecialChars($com_replytitle);
		if (!preg_match("/^re:/i", $com_title)) {
			$com_title = "Re: ".substr($com_title, 0, 56);
		}
	} else {
		$com_title = '';
	}
	$com_mode = isset($HTTP_GET_VARS['com_mode']) ? htmlspecialchars(trim($HTTP_GET_VARS['com_mode']), ENT_QUOTES) : '';
	if ($com_mode == '') {
		if (is_object($xoopsUser)) {
			$com_mode = $xoopsUser->getVar('umode');
		} else {
			$com_mode = $xoopsConfig['com_mode'];
		}
	}
	
	if (!isset($HTTP_GET_VARS['com_order'])) {
		if (is_object($xoopsUser)) {
			$com_order = $xoopsUser->getVar('uorder');
		} else {
			$com_order = $xoopsConfig['com_order'];
		}
	} else {
		$com_order = intval($HTTP_GET_VARS['com_order']);
	}
	$com_id = 0;
	$noname = 0;
	$dosmiley = 1;
	$dohtml = 0;
	$dobr = 1;
	$doxcode = 1;
	$com_icon = '';
	$com_pid = 0;
	$com_rootid = 0;
	$com_text = '';

	include XOOPS_ROOT_PATH.'/include/comment_form.php';
	include XOOPS_ROOT_PATH.'/footer.php';
}
?>