<?php

require('admin_header.php');
include '../../../include/cp_header.php';

error_reporting(E_ALL);
if (isset($_POST['action']))
	$action = $_POST['action'];
else if (isset($_GET['action']) && !isset($_POST['action']))
	$action = $_GET['action'];
else
	$action = '';
$adminURL = XOOPS_URL .'/modules/'.$xoopsModule->dirname().'/admin/index.php';

switch($action) {
	case 'rem_user_conf':
		removeUser();
		break;
	case 'optimize':
		optimizeTable($xoopsDB->prefix('evennews_members'));
		break;
	case 'send_message':
		sendMessage();
		break;
	case 'send':
		messageForm();
		break;
	case 'list':
		listUsers();
		break;
	case 'add_user':
		addUserForm();
		break;
	case 'view_archives':
		showArchive();
		break;
	case 'view_mess':
		showMessage($_POST['mess_id']);
		break;
	case 'add_user_conf':
		addUser();
		break;
	case 'clean_unconf':
		delUnconf();
	case 'rem_user':
		remUser();
	default:
		xoops_cp_header();
		OpenTable();
		showHeader();
		CloseTable();
		xoops_cp_footer();
		break;
}

function removeUser() {
	global $xoopsDB;
	
	$query = "UPDATE ".$xoopsDB->prefix('evennews_members')." SET confirmed='0' WHERE user_conf='" . $_POST['user_conf'] ."'";
	$result = $xoopsDB->queryF($query);
	xoops_cp_header();
	OpenTable();
	showHeader();
	if (!$result) {
		printf(_ADM_EVENNEWS_DBERROR, $result, $query);
		
	}
	printf(_ADM_EVENNEWS_USERREMOVED, $_POST['user_name']);
	CloseTable();
	xoops_cp_footer();
}

function optimizeTable($tablename) {
	global $xoopsDB;
	$query = "OPTIMIZE TABLE $tablename";
	$result = $xoopsDB->query($query);
	xoops_cp_header();
	OpenTable();
	showHeader();
	if (!$result) {
		printf(_ADM_EVENNEWS_DBERROR, $result, $query);
	} else {
		printf(_ADM_EVENNEWS_TABLEOPT, $tablename);
	}
	CloseTable();
	xoops_cp_footer();
}

function viewMessage($messID)
{
	global $xoopsDB;
	$messID = intval($messID);		//Make sure supplied messID is a number
	$sql    = "SELECT * FROM " . $xoopsDB->prefix('evennews_messages') . " WHERE mess_id=$messID";
	$arr    = $xoopsDB->fetchArray($xoopsDB->query($sql));
	xoops_cp_header();
	OpenTable();
	showHeader();
	echo "<h2>Viewing message #$messID</h2>";
	echo "<table border=1 width='75%' cellpadding=0 cellspacing=0 bgcolor='black'>\n";
	echo "<th>Field</th><th>Value</th>\n";
	echo "<tr>\n";
	echo "<td>User Id:</td><td>$arr[user_id]</td>\n";
	echo "</tr><tr>\n";
	echo "<td>Sent To:</td><td>$arr[sent_to]</td>\n";
	echo "</tr><tr>\n";
	echo "<td>Failed To:</td><td>$arr[fail_to]</td>\n";
	echo "</tr><tr>\n";
	echo "<td>Message Id:</td><td>$arr[mess_id]</td>\n";
	echo "</tr><tr>\n";
	echo "<td>Time Sent:</td><td>$arr[time_sent]</td>\n";
	echo "</tr><tr>\n";
	echo "<td>From:</td><td>$arr[mess_from]</td>\n";
	echo "</tr><tr>\n";
	echo "<td>Subject:</td><td>$arr[subject]</td>\n";
	echo "</tr><tr>\n";
	echo "<td>Message:</td><td>" . nl2br($arr[message]) . "</td>\n";
	echo "</tr>\n";
	echo "</table>";
	CloseTable();
	xoops_cp_footer();
}

function showHeader()
{
	global $xoopsModule, $adminURL;
	print "<center><table width='50%' bgcolor='white' border='1' cols='2' rows='2' cellpadding='2' cellspacing='0'>\n";
	print "<th colspan='2'>Main Admin Menu</th>\n";
	print "<tr>\n";
	print "<td><a href='$adminURL?action=send'>Send a message to the list.</a></td>\n";
	print "<td><a href='$adminURL?action=list'>List All Subscribers.</a></td>\n";
	print "</tr>\n";
	print "<tr><td><a href='$adminURL?action=add_user'>Add a user</a></td>\n";
	print "<td><a href='$adminURL?action=rem_user'>Remove a user</a></td></tr>\n";
	print "<tr><td><a href='$adminURL?action=optimize'>Optimize Database</a></td>\n";
	print "<td><a href='$adminURL?action=view_archives'>View Message Archives</a></td></tr>\n";
	print "</table></center><BR>\n";
}

function showArchive()
{
	global $xoopsDB,$adminURL;
	
	$sql = "SELECT * FROM ".$xoopsDB->prefix('evennews_messages');
	$result = $xoopsDB->query($sql);
	xoops_cp_header();
	OpenTable();
	showHeader();
	print "<h2>Message Archives</h2>";
	print "<center>\n";
	print "<table border='1' width='100%' cellpadding='0' cellspacing='0'>\n";
	print "<th>Message Id.</th><th>Sent To</th><th>Failed To</th><th>Time</th><th>Subject</th><th>View</th>\n";
			
	while ($arr = $xoopsDB->fetchArray($result)) {
		print "<tr>\n";
		print "<td>".$arr['mess_id']."</td>\n";
		print "<td>".$arr['sent_to']."</td>\n";
		print "<td>".$arr['fail_to']."</td>\n";
		print "<td>".$arr['time_sent']."</td>\n";
		print "<td>".$arr['subject']."</td>\n";
		print "<form action='$adminURL' method=post>\n";
		print "<input type='hidden' name='action' value='view_mess'>\n";
		print "<input type='hidden' name='mess_id' value='". $arr['mess_id'] ."'>\n";
		print "<td><input type='submit' name='view_mess' value='View'></td>\n";
		print "</form>\n";
		print "</tr>\n";
	}
	print "</table></center>";
	CloseTable();
	xoops_cp_footer();
}

function addUserForm()
{
	global $adminURL,$xoopsUser;
	xoops_cp_header();
	OpenTable();
	showHeader();
	print "<h2>Add a user manually</h2>";
	print "<center>\n";
	print "<form action='$adminURL' method=post>\n";
	print "<table border='0' cellpadding='0' cellspacing='0'>\n";
	print "<tr><th>Name:</th><td><input type='text' name='user_name' size='60' maxlength='80'></td></tr>\n";
	print "<tr><th>Nickname:</th><td><input type=text name='user_nick' size='60' maxlength='80'></td></tr>\n";
	print "<tr><th>Email:</th><td><input type=text name='user_mail' size='60' maxlength='80'></td></tr>\n";
	$user = "localhost:" . $xoopsUser->getVar('uname');
	print "<tr><td><input type=submit name='add_user' value='Submit'></td></tr></table>\n";
	print "<input type=hidden name='user_host' value='$user'>\n";
	print "<input type=hidden name='action' value='add_user_conf'>\n";

	print "</form>\n";
	CloseTable();
	xoops_cp_footer();
}

function delUnconf()
{
	global $xoopsDB;
	$sql = "DELETE LOW_PRIORITY FROM ".$xoopsDB->prefix('evennews_members')." WHERE confirmed='0'";
	$result = $xoopsDB->query($sql);
	xoops_cp_header();
	OpenTable();
	showHeader();
	printf(_ADM_EVENNEWS_DELETED, $result);
	CloseTable();
	xoops_cp_footer();
}

function sendMessage()
{
	global $xoopsDB, $xoopsUser;
	$mail_from = $_POST['mail_from'];
	$mail_subj = $_POST['mail_subj'];
	$mail_mess = $_POST['mail_mess'];
	xoops_cp_header();
  OpenTable();
	showHeader();
  echo "<h2>Sending Mail</h2>";
  echo "mail_from : '$mail_from'.<BR>";
	echo "mail_subj : '$mail_subj'.<BR>";
	echo "mail_mess : '$mail_mess'.<BR>";
	
	$query = "select * from ". $xoopsDB->prefix('evennews_members')." where confirmed='1'";
	$result = $xoopsDB->query($query);
	$sent_good = 0;
	$sent_bad = 0;
	while ($arr = $xoopsDB->fetchArray($result)) {
		if ($arr['user_email'] == '')
			continue;
		$name = $arr['user_name'] !== '' ? $arr['user_name'] : $arr['user_nick'] !== '' ? $arr['user_nick'] : $arr['user_email'];
		if (mail($arr['user_email'], $mail_subj, $mail_mess, "From: $mail_from\r\nReply-To: $mail_from\r\nReturn-Path: $mail_from\r\nX-Mailer: PHP/" . phpversion())) {
			$sent_good++;
			echo "Mail sent to : ".$arr['user_email']."<BR>\n";
		} else {
			$sent_bad++;
			echo "<font color='red'>Mail NOT sent to : ". $arr['user_email']." : ".$arr['user_id']."</font><BR>\n";
		}
	}
	$user_id = $xoopsUser->getVar('uid');
	$query  = "INSERT INTO " . $xoopsDB->prefix('evennews_messages'). " (user_id, sent_to, fail_to, time_sent, message, subject, mess_from) ";
	$query .= "VALUES ($user_id, $sent_good, $sent_bad, NOW(), '$mail_mess', '$mail_subj', '$mail_from')";
	echo "query = '$query'.<BR>\n";
	$result = $xoopsDB->query($query);
	echo "Message archives updated. ($result)<BR>\n";	
	CloseTable();
	xoops_cp_footer();
}

function messageForm()
{
	global $xoopsUser, $adminURL;
	xoops_cp_header();
	OpenTable();
	showHeader();
	echo "<form action='$adminURL' method='post'>\n";
	echo "<center><table width='75%' border='1' cellpadding='1' cellspacing='1'>\n";
	echo "<tr><th>From:</th><td><input type='text' name='mail_from' size='80' value='". $xoopsUser->getVar('name') . ' <'. $xoopsUser->getVar('email').'>'."'></td></tr>\n";
	echo "<tr><th>Subject:</th><td><input type='text' name='mail_subj' size='80'></td></tr>\n";
	echo "<tr><th>Message:</th><td><textarea name='mail_mess' rows='10' cols='58'></textarea></td></tr>\n";
	echo "<input type='hidden' name='action' value='send_message'>\n";
	echo "<tr><td><input type='submit' name='Submit' value='Send Message'></td>\n";
	echo "<td><input type='reset' name='reset' value='Reset Form'></td></tr>\n";
	echo "</table>";
	echo "</form>\n";
	CloseTable();
	xoops_cp_footer();
}

function remUser()
{
	global $xoopsDB,$adminURL;
	$query = "select * from ".$xoopsDB->prefix('evennews_members');
	$result = $xoopsDB->query($query);
	xoops_cp_header();
	OpenTable();
	showHeader();
	echo "<h2>Newsletter recipients</h2>";
	echo "<center><table width='100%' border='1' cellpadding='0' cellspacing='0'>\n";
	echo "<th>Confirmed</th><th>User Id</th><th>User Name</th><th>Nickname</th><th>Email</th>";
	echo "<th>Host</th><th>Confirmation Id.</th><th>Time</th><th>Delete</th>\n";
	
	if (!$result) {
		echo "<tr><td>Nothing in database?</td></tr>\n";
	} else {
		while ($arr = $xoopsDB->fetchArray($result)) {
			$mail = $arr['user_email'];
			if (!$mail)
				$mail = "<font color='red'>ERROR</font>";
			$conf = "";
			if ($arr['confirmed'] == '1')
				$conf = "Yes";
			else
				$conf = "No";
			echo "<tr>\n";
			echo "<td nowrap>$conf</td>\n";
			echo "<td nowrap>".$arr['user_id']."</td>\n";
			echo "<td nowrap>".$arr['user_name']."</td>\n";
			echo "<td nowrap>".$arr['user_nick']."</td>\n";
			echo "<td nowrap>$mail</td>\n";
			echo "<td nowrap>".$arr['user_host']."</td>\n";
			echo "<td nowrap>".$arr['user_conf']."</td>\n";
			list($year,$month,$day,$hour,$min,$sec)=explode(":", eregi_replace("[' '|-]",":", $arr['user_time']));
			echo "<td nowrap>$month-$day-$year + $hour:$min:$sec</td>\n";

			echo "<form action='$adminURL' method='post'>\n";
			echo "<input type='hidden' name='user_id' value='" . $arr['user_id']. "'>\n";
			echo "<input type='hidden' name='user_name' value='". $arr['user_name']."'>\n";
			echo "<input type='hidden' name='user_nick' value='". $arr['user_nick']."'>\n";
			echo "<input type='hidden' name='user_email' value='".$arr['user_email']."'>\n";
			echo "<input type='hidden' name='user_host' value='".$arr['user_host']."'>\n";
			echo "<input type='hidden' name='user_conf' value='".$arr['user_conf']."'>\n";
			echo "<input type='hidden' name='user_time' value='".$arr['user_time']."'>\n";
			echo "<input type='hidden' name='action' value='rem_user_conf'>\n";
			echo "<input type='hidden' name='confirmed' value='".$arr['confirmed']."'>\n";
			echo "<td nowrap><input type='submit' name='rem_user_conf' value='Delete'></td>\n";
			echo "</form>\n";
			echo "</tr>\n";
		}
	}
	echo "</table>\n";
	echo "</center>\n";
	CloseTable();
	xoops_cp_footer();
}

function listUsers()
{
	global $xoopsDB,$adminURL;
	
	$query = "select * from ".$xoopsDB->prefix('evennews_members');
	$result = $xoopsDB->query($query);
	xoops_cp_header();
	OpenTable();
	showHeader();
	echo "<h2>Newsletter Recipients</h2>";
	echo "<center><table width='100%' border='1' cellpadding='0' cellspacing='0'>\n";
	echo "<th>Confirmed</th><th>User Id</th><th>User Name</th><th>Nickname</th><th>Email</th>";
	echo "<th>Host</th><th>Confirmation Id.</th><th>Time</th>\n";
	if (!$result) {
		echo "Nothing in database?<BR>";
	} else {
		while ($arr = $xoopsDB->fetchArray($result)) {
			$mail = $arr['user_email'];
			if (!$mail)
				$mail = "&nbsp;";
			$conf = "";
			if ($arr['confirmed'] == '1')
				$conf = "Yes";
			else
				$conf = "No";
			echo "<tr><td nowrap>$conf</td><td nowrap>" . $arr['user_id'];
			echo "</td><td nowrap>" . $arr['user_name'] . "</td><td nowrap>" . $arr['user_nick'];
			echo "</td><td nowrap>" . $mail . "</td><td nowrap>" . $arr['user_host'];
			list($year,$month,$day,$hour,$min,$sec)=explode(":", eregi_replace("[' '|-]",":", $arr['user_time']));
			echo "</td><td nowrap>" . $arr['user_conf'] . "</td><td nowrap>$month/$day/$year $hour:$min:$sec</td></tr>\n";
		}
	}
	echo "</table>\n";
	echo "<BR>\n";
	echo "<table width='100%' border='1' cellpadding='0' cellspacing='0'>\n";
	echo "<form action='$adminURL' method='post'>\n";
	echo "<input type='hidden' name='action' value='clean_unconf'>\n";
	echo "<tr><td nowrap><input type='submit' name='clean_unconf' value='Clean Unconfirmed'></td><td></td><td></td><td></td><td></td><td></td><td></td><td></td></tr>\n";
	echo "</form>\n";
	echo "</table></center>\n";
	CloseTable();
	xoops_cp_footer();
}

function addUser()
{
	global $xoopsDB, $xoopsUser;
		
	$better_token = md5(uniqid(rand(), 1));
		
	$query = "INSERT INTO " . $xoopsDB->prefix('evennews_members') . " (user_id, user_name, user_nick, user_email, user_host, user_conf, confirmed, user_time) ";
	$query .= "VALUES (0, '" . $_POST['user_name'] . "', '" . $_POST['user_nick'] . "', '" . $_POST['user_mail'];
	$query .= "', '" . $_POST['user_host'] . "', '$better_token', '1', NOW())";
	$result = $xoopsDB->queryF($query);
	xoops_cp_header();
  OpenTable();
	showHeader();
	
	print "User '" . $_POST['user_name'] . "' has been added to the mailing list.<BR>$result\n";
	
	CloseTable();
	xoops_cp_footer();
}

function showMessage($messID)
{
	global $xoopsDB;
	$sql = "SELECT * FROM " . $xoopsDB->prefix('evennews_messages') . " WHERE mess_id=" . intval($messID);
	$result = $xoopsDB->query($sql);
	$arr = $xoopsDB->fetchArray($result);
	xoops_cp_header();
	OpenTable();
	showHeader();
	print "<center>\n";
	print "<table border='1' width='75%' cellpadding='2' cellspacing='2'>\n";
	print "<tr>\n";
	print "<th>User Id:</th><td>".$arr['user_id']."</td>\n";
	print "</tr><tr>\n";
	print "<th>Sent To:</th><td>".$arr['sent_to']."</td>\n";
	print "</tr><tr>\n";
	print "<th>Failed To:</th><td>".$arr['fail_to']."</td>\n";
	print "</tr><tr>\n";
	print "<th>Message Id:</th><td>".$arr['mess_id']."</td>\n";
	print "</tr><tr>\n";
	print "<th>Time Sent:</th><td>".$arr['time_sent']."</td>\n";
	print "</tr><tr>\n";
	print "<th>From:</th><td>".$arr['mess_from']."</td>\n";
	print "</tr><tr>\n";
	print "<th>Subject:</th><td>".$arr['subject']."</td>\n";
	print "</tr><tr>\n";
	print "<th>Message:</th><td>" . nl2br($arr['message']) . "</td>\n";
	print "</tr>\n";
	print "</table>\n";
	CloseTable();
	xoops_cp_footer();
}
?>
