CREATE TABLE evennews_members (
  user_id int(8) unsigned NOT NULL auto_increment,
  user_name varchar(120) NOT NULL default '',
  user_nick varchar(40) NOT NULL default '',
  user_email varchar(80) NOT NULL default '',
  user_host varchar(120) NOT NULL default '',
  user_conf varchar(120) NOT NULL,
  confirmed enum('0', '1') NOT NULL default '0',
  user_time datetime NOT NULL,
  PRIMARY KEY (user_id)
);

CREATE TABLE evennews_messages (
  user_id int(8) unsigned NOT NULL,
  sent_to int(8) unsigned NOT NULL,
  fail_to int(8) unsigned NOT NULL,
  mess_id int(8) unsigned NOT NULL auto_increment,
  time_sent datetime NOT NULL,
  message text NOT NULL default '',
  subject text NOT NULL default '',
  mess_from text NOT NULL default '',
  PRIMARY KEY (mess_id)
);

