<?php

function b_myalbum_topnews_show( $options )
{
	global $xoopsDB ;

	include( XOOPS_ROOT_PATH.'/modules/myalbum/include/read_configs.php' ) ;

	$block = array() ;
	$myts =& MyTextSanitizer::getInstance() ;
	$result = $xoopsDB->query( "SELECT lid , cid , title , ext , res_x , res_y , submitter , status , date AS unixtime , hits , rating , votes , comments FROM $table_photos WHERE status>0 ORDER BY unixtime DESC" , $options[0] , 0 ) ;

	while( $photo = $xoopsDB->fetchArray( $result ) ) {
		$photo['title'] = $myts->makeTboxData4Show( $photo['title'] ) ;
		if( strlen( $photo['title'] ) >= $options[1] ) {
			if( ! XOOPS_USE_MULTIBYTES ) {
				$photo['title'] = substr( $photo['title'] , 0 , $options[1] - 1 ) . "..." ;
			} else if( function_exists( 'mb_strcut' ) ) {
				$photo['title'] = mb_strcut( $photo['title'] , 0 , $options[1] - 1 ) . "..." ;
			}
		}
		$photo['suffix'] = $photo['hits'] > 1 ? 'hits' : 'hit' ;
		$photo['date'] = formatTimestamp( $photo['unixtime'] , 's' ) ;
		$photo['thumbs_url'] = $thumbs_url ;

		$width_spec = "width='$myalbum_thumbsize'" ;
		if( $myalbum_makethumb ) {
			list( $width , $height , $type ) = getimagesize( "$thumbs_dir/{$photo['lid']}.{$photo['ext']}" ) ;
			if( $width <= $myalbum_thumbsize ) 
			// if thumb images was made, 'width' and 'height' will not set.
			$width_spec = '' ;
		}
		$photo['width_spec'] = $width_spec ;

		$block['photo'][] = $photo ;
	}

	return $block ;
}


function b_myalbum_topnews_edit( $options )
{
	$form = _ALBM_TEXT_DISP . "&nbsp;" ;
	$form .= "<input type='text' size='4' name='options[0]' value='{$options[0]}' /><br />" ;
	$form .= _ALBM_TEXT_STRLENGTH . "&nbsp;" ;
	$form .= "<input type='text' size='6' name='options[1]' value='{$options[1]}' />&nbsp;" ;

	return $form;
}
?>