<?php
// ------------------------------------------------------------------------- //
//                      myAlbum-P - XOOPS photo album                        //
//                        <http://www.peak.ne.jp/>                           //
// ------------------------------------------------------------------------- //

include("header.php");
include_once(XOOPS_ROOT_PATH."/class/xoopstree.php");
include_once(XOOPS_ROOT_PATH."/class/uploader.php");

$myts =& MyTextSanitizer::getInstance() ; // MyTextSanitizer object
$cattree = new XoopsTree( $table_cat , "cid" , "pid" ) ;

$lid = isset( $_GET['lid'] ) ? $_GET['lid'] : '' ;
if( $lid == '' && isset( $_POST['lid'] ) ) $lid = $_POST['lid'] ;

$result = $xoopsDB->query("SELECT l.submitter FROM $table_photos l, $table_text t where l.lid=$lid",0);
list( $submitter ) = $xoopsDB->fetchRow( $result ) ;

if( $global_perms & GPERM_EDITABLE ) {
	if( $my_uid != $submitter && ! $isadmin ) {
		redirect_header( $mod_url , 3 , _NOPERM ) ;
		exit ;
	}
} else {
	redirect_header( $mod_url , 3 , _NOPERM ) ;
	exit ;
}


// Do Delete
if( ! empty( $_GET['delete'] ) ) {

	if( ! ( $global_perms & GPERM_DELETABLE ) ) {
		redirect_header( $mod_url , 3 , _NOPERM ) ;
		exit ;
	}

	// get and check lid is valid
	if( $lid < 1 ) die( "Invalid photo id." ) ;

	$whr = "lid=$lid" ;
	if( ! $isadmin ) $whr .= " AND submitter=$my_uid" ;

	deletePhotos( $whr ) ;

	redirect_header( $mod_url , 3 , _ALBM_DELETINGPHOTO ) ;
	exit ;
}


if( ! empty( $_POST['submit'] ) ) {

	if( empty( $_POST['submitter'] ) ) {
		$submitter = $my_uid ;
	} else {
		$submitter = $_POST['submitter'] ;
	}

	// Confirm Delete
	if( ! empty( $_POST['delete'] ) ) {
		include( XOOPS_ROOT_PATH."/include/cp_functions.php" ) ;
		include_once( "../../header.php" ) ;
		OpenTable() ;

		echo "
		<h4>"._ALBM_PHOTODEL."</h4>
		<table>
		<tr>
			<td>
			<form action='editphoto.php?delete=do&amp;lid=$lid' method='post'>
				<input type='submit' value='"._YES."' />
			</form>
			</td>
			<td>
			<form action='editphoto.php?lid=$lid' method='post'>
				<input type='submit' value="._NO." />
			</form>
			</td>
		</tr>
		</table>\n" ;

		CloseTable() ;
		include( XOOPS_ROOT_PATH . "/footer.php" ) ;
		exit ;
	}

	// status change
	if( $isadmin ) {
		$valid = empty( $_POST['valid'] ) ? 0 : $_POST['valid'] ;
		if( empty( $_POST['old_status'] ) ) {
			if( $valid == 0 ) $valid = null ;
			else $valid = 1 ;
		} else {
			if( $valid == 0 ) $valid = 0 ;
			else $valid = 2 ;
		}
	} else {
		$valid = 2 ;
	}

	// Check if Title exist
	if( $_POST["title"] == "" ) {
		$_POST['title'] = 'no title' ;
	}

	$cid = isset( $_POST['cid'] ) ? $_POST['cid'] : 0 ;

	// Check if upload file name specified
	$field = $_POST["xoops_upload_file"][0] ;
	if( empty( $field ) || $field == "" ) {
		die( "UPLOAD error: file name not specified" ) ;
	}
	$field = $_POST['xoops_upload_file'][0] ;

	// Check if file uploaded
	if ( $_FILES[$field]['tmp_name'] != "" && $_FILES[$field]['tmp_name'] != "none" ) {
		if( $myalbum_canresize ) $uploader = new XoopsMediaUploader( $photos_dir , $array_allowed_mimetypes , $myalbum_fsize ) ;
		else $uploader = new XoopsMediaUploader( $photos_dir , $array_allowed_mimetypes , $myalbum_fsize , $myalbum_width , $myalbum_height ) ;

		$uploader->setPrefix( 'tmp_' ) ;
		if( $uploader->fetchMedia( $field ) && $uploader->upload() ) {

			// remove old file.
			$prs = $xoopsDB->query( "SELECT ext FROM $table_photos WHERE lid=$lid") ;
			list( $ext ) = $xoopsDB->fetchRow( $prs ) ;
			@unlink( "$photos_dir/$lid.$ext");
			@unlink( "$thumbs_dir/$lid.$ext");

			$title = $myts->makeTboxData4Save( $_POST["title"] ) ;
			$desc_text = $myts->makeTareaData4Save( $_POST["desc_text"] ) ;
			$date = time() ;
			$tmp_name = $uploader->getSavedFileName() ;
			$ext = preg_replace( "/^.+\.([^.]+)$/sU" , "\\1" , $tmp_name ) ;

			modifyPhoto( "$photos_dir/$tmp_name" , "$photos_dir/$lid.$ext" ) ;
			$dim = GetImageSize( "$photos_dir/$lid.$ext");

			if( ! createThumb( "$photos_dir/$lid.$ext" , $lid , $ext ) ) {
				$xoopsDB->query( "DELETE FROM $table_photos WHERE lid=$lid" ) ;
				redirect_header( 'editphoto.php?lid=$lid' , 10 , _ALBM_FILEERROR ) ;
				exit ;
			}
			updatePhoto( $lid , $cid , $title , $desc_text , $valid , $ext , $dim[0] , $dim[1] ) ;
			exit ;
		} else {
			$errors = $upload->getUploadErrors();
			include_once("../../header.php");
			OpenTable();
			echo "<p><strong>::Errors occured::</strong><br />\n";
			while(list($filename,$values) = each($errors)) {
				"File: " . print $filename . "<br />";
				$count = count($values);
				for($i=0; $i<$count; $i++) {
					echo "==>" . $values[$i] . "<br />";
				}
			}
			echo "</p>" ;
			print_r( $_FILES ) ;
			CloseTable();
			include( XOOPS_ROOT_PATH . "/footer.php" ) ;
			exit ;
		}
	} else {  //update without file upload
		$title = $myts->makeTboxData4Save( $_POST["title"] ) ;
		$desc_text = $myts->makeTareaData4Save( $_POST["desc_text"] ) ;
		$cid = $_POST['cid'] ;
		updatePhoto( $lid , $cid , $title , $desc_text , $valid ) ;
	}

} else {

	include(XOOPS_ROOT_PATH."/header.php");
	OpenTable() ;
	myheader() ;

	include_once( "../../class/xoopsformloader.php" ) ;
	include_once( "../../include/xoopscodes.php" ) ;

	$result = $xoopsDB->query("SELECT l.lid, l.cid, l.title, l.ext, l.res_x, l.res_y, l.status, l.date, l.hits, l.rating, l.votes, l.comments, t.description FROM $table_photos l LEFT JOIN $table_text t ON l.lid=t.lid WHERE l.lid=$lid ORDER BY date DESC",$myalbum_newphotos,0);
	list($lid, $cid, $ltitle, $ext, $res_x, $res_y, $status, $time, $hits, $rating, $votes, $comments, $desc_text) = $xoopsDB->fetchRow( $result ) ;

	$form = new XoopsThemeForm( _ALBM_PHOTOEDITUPLOAD , "uploadphoto", "editphoto.php?lid=$lid" ) ;
	$form->setExtra("enctype='multipart/form-data'");
	$question_text = new XoopsFormText(_ALBM_PHOTOTITLE, "title", 50, 255,$ltitle);
	$cat = new XoopsFormSelect(_ALBM_PHOTOCAT, "cid", $cid ) ;
	$tree = $cattree->getChildTreeArray(0,"title") ;
	foreach ($tree as $leaf ) {
		$leaf['prefix'] = substr($leaf['prefix'], 0, -1);
		$leaf['prefix'] = str_replace(".","--",$leaf['prefix']);
		$cat -> addOption($leaf['cid'],$leaf['prefix'].$leaf['title']);
	}
	$desc_tarea = new XoopsFormDhtmlTextArea( _ALBM_PHOTODESC , "desc_text" , $desc_text , 10 , 50 ) ;
	$file_form = new XoopsFormFile(_ALBM_SELECTFILE, "photofile", $myalbum_fsize);
	$file_form->setExtra( "size='70'" ) ;

	if( $myalbum_canrotate ) {
		$rotate_radio = new XoopsFormRadio( _ALBM_RADIO_ROTATETITLE , 'rotate' , 'rot0' ) ;
		$rotate_radio->addOption( 'rot0' , _ALBM_RADIO_ROTATE0." &nbsp; " ) ;
		$rotate_radio->addOption( 'rot90' , "<img src='images/icon_rotate90.gif' alt='"._ALBM_RADIO_ROTATE90."' /> &nbsp; " ) ;
		$rotate_radio->addOption( 'rot180' , "<img src='images/icon_rotate180.gif' alt='"._ALBM_RADIO_ROTATE180."' /> &nbsp; " ) ;
		$rotate_radio->addOption( 'rot270' , "<img src='images/icon_rotate270.gif' alt='"._ALBM_RADIO_ROTATE270."' /> &nbsp; " ) ;
	}

	$op_hidden = new XoopsFormHidden( "op" , "submit" ) ;
	$counter_hidden = new XoopsFormHidden( "fieldCounter" , 1 ) ;
	$status_hidden = new XoopsFormHidden( "old_status" , $status ) ;
	$valid_or_not = empty( $status ) ? 0 : 1 ;
	$valid_box = new XoopsFormCheckBox( _ALBM_VALIDPHOTO , "valid" , array( $valid_or_not ) ) ;
	$valid_box->addOption( '1' , '&nbsp;' ) ;
	$delete_box = new XoopsFormCheckBox( _ALBM_DELETEPHOTO , "delete" ) ;
	$delete_box->addOption( 'del_confirm' , '&nbsp;' ) ;
	$submit_button = new XoopsFormButton("", "submit", _SUBMIT, "submit");
	echo "<center><a href='photo.php?lid=$lid&amp;cid=$cid'><img src='$thumbs_url/$lid.$ext'></a></center>\n";
	$form->addElement( $question_text ) ;
	$form->addElement( $desc_tarea ) ;
	$form->addElement( $cat ) ;
	$form->addElement( $file_form ) ;
	if( $myalbum_canrotate ) $form->addElement( $rotate_radio ) ;
	$form->addElement( $counter_hidden ) ;
	$form->addElement( $op_hidden ) ;
	if( $isadmin ) {
		$form->addElement( $valid_box ) ;
		$form->addElement( $status_hidden ) ;
	}
	if( $global_perms & GPERM_DELETABLE ) $form->addElement( $delete_box ) ;
	$form->addElement( $submit_button ) ;
	$form->display() ;
	CloseTable() ;
	myfooter() ;
}

include( XOOPS_ROOT_PATH . "/footer.php" ) ;

?>