<?php
if( ! defined( "XOOPS_ROOT_PATH" ) ) include( '../../mainfile.php' ) ;
include(XOOPS_ROOT_PATH."/modules/myalbum/include/read_configs.php");
include_once(XOOPS_ROOT_PATH."/modules/myalbum/include/functions.php");
include_once(XOOPS_ROOT_PATH."/modules/myalbum/include/draw_functions.php");
include_once(XOOPS_ROOT_PATH."/class/xoopstree.php");

$myts =& MyTextSanitizer::getInstance();// MyTextSanitizer object
$cattree = new XoopsTree($table_cat,"cid","pid");

if (!isset($_GET['target']) && !isset($_POST['target'])) {
	exit();
}
$op = 'list';
if (isset($_GET['op']) && $_GET['op'] == 'upload') {
	$op = 'upload';
}
if (isset($_POST)) {
	foreach ($_POST as $k => $v) {
		${$k} = $v;
	}
}
if (!$xoopsUser) {
	$groups = array(XOOPS_GROUP_ANONYMOUS);
} else {
	$groups =& $xoopsUser->getGroups();
}
if ($op == 'list') {
	require_once XOOPS_ROOT_PATH.'/class/template.php';
	$xoopsTpl = new XoopsTpl();
	$xoopsTpl->assign('lang_imgmanager', _IMGMANAGER);
	$xoopsTpl->assign('sitename', $xoopsConfig['sitename']);
	$target = htmlspecialchars($_GET['target'], ENT_QUOTES);
	$xoopsTpl->assign('target', $target);
//	$imgcat_handler =& xoops_gethandler('imagecategory');
//	$catlist =& $imgcat_handler->getList($groups, 'imgcat_read', 1);
//	$catcount = count($catlist);
	$catlist = $cattree->getAllChildId( 0 ) ;
	$catcount = sizeof( $cattree->getAllChildId( 0 ) ) ;
	$xoopsTpl->assign('lang_align', _ALIGN);
	$xoopsTpl->assign('lang_add', _ADD);
	$xoopsTpl->assign('lang_close', _CLOSE);
	if ($catcount > 0) {
		$xoopsTpl->assign('lang_go', _GO);
		$catshow = !isset($_GET['cat_id']) ? 0 : intval($_GET['cat_id']);
//		$catshow = (!empty($catshow) && in_array($catshow, array_keys($catlist))) ? $catshow : 0;
		$xoopsTpl->assign('show_cat', $catshow);
		if ($catshow > 0) {
			$xoopsTpl->assign('lang_addimage', _ADDIMAGE);
		}
/*		$catlist[0] = '--';
		ksort($catlist);
		$cat_options = '';
		foreach ($catlist as $value => $name) {
			$sel = '';
			if ($value == $catshow) {
				$sel = ' selected="selected"';
			}
			$cat_options .= '<option value="'.$value.'"'.$sel.'>'.$name.'</option>';
		}*/

//          <select name="cat_id" onchange="location='<{$xoops_url}>/imagemanager.php?target=<{$target}>&cat_id='+this.options[this.selectedIndex].value"><{$cat_options}></select> <input type="hidden" name="target" value="<{$target}>" /><input type="submit" value="<{$lang_go}>" />

		ob_start() ;
		$cattree->makeMySelBox( "title" , "title" , 0 , 1 , 'pid' ) ;
		$cat_select = ob_get_contents() ;
		ob_end_clean() ;
		$xoopsTpl->assign('cat_select', $cat_select);
		if ($catshow > 0) {
//			$image_handler = xoops_gethandler('image');
//			$criteria = new CriteriaCompo(new Criteria('imgcat_id', $catshow));
//			$criteria->add(new Criteria('image_display', 1));
//			$total = $image_handler->getCount($criteria);
			$rs = $xoopsDB->query( "SELECT COUNT(*) FROM $table_photos WHERE cid='$catshow'") ;
			list( $total ) = $xoopsDB->fetchRow( $rs ) ;
			if ($total > 0) {
				$start = isset($_GET['start']) ? intval($_GET['start']) : 0;
				$rs = $xoopsDB->query( "SELECT * FROM $table_photos WHERE cid='$catshow' LIMIT $start,10") ;
//				$imgcat_handler =& xoops_gethandler('imagecategory');
//				$imgcat =& $imgcat_handler->get($catshow);
				$xoopsTpl->assign('image_total', $total);
				$xoopsTpl->assign('lang_image', _IMAGE);
				$xoopsTpl->assign('lang_imagename', _IMAGENAME);
				$xoopsTpl->assign('lang_imagemime', _IMAGEMIME);
//				$criteria->setLimit(10);
//				$criteria->setStart($start);
//				$storetype = $imgcat->getVar('imgcat_storetype');
//				$images =& $image_handler->getObjects($criteria, false, false);
//				$imgcount = count($images);
//				$max = ($imgcount > 10) ? 10 : $imgcount;

/*				$i = 0 ;
				while( 

				for ($i = 0; $i < $max; $i++) {
					$lcode = '[img align=left]'.XOOPS_UPLOAD_URL.'/'.$images[$i]->getVar('image_name').'[/img]';
					$code = '[img]'.XOOPS_UPLOAD_URL.'/'.$images[$i]->getVar('image_name').'[/img]';
					$rcode = '[img align=right]'.XOOPS_UPLOAD_URL.'/'.$images[$i]->getVar('image_name').'[/img]';
					$src = XOOPS_UPLOAD_URL.'/'.$images[$i]->getVar('image_name');
					$xoopsTpl->append('images', array('id' => $images[$i]->getVar('image_id'), 'nicename' => $images[$i]->getVar('image_nicename'), 'mimetype' => $images[$i]->getVar('image_mimetype'), 'src' => $src, 'lxcode' => $lcode, 'xcode' => $code, 'rxcode' => $rcode));
				}
				if ($total > 10) {
					include_once XOOPS_ROOT_PATH.'/class/pagenav.php';
					$nav = new XoopsPageNav($total, 10, $start, 'start', 'target='.$target.'&amp;cat_id='.$catshow);
					$xoopsTpl->assign('pagenav', $nav->renderNav());
				}
*/
			} else {
				$xoopsTpl->assign('image_total', 0);
			}
		}
		$xoopsTpl->assign('xsize', 600);
		$xoopsTpl->assign('ysize', 400);
	} else {
		$xoopsTpl->assign('xsize', 400);
		$xoopsTpl->assign('ysize', 180);
	}
	$xoopsTpl->force_compile = true ;
	$xoopsTpl->display(XOOPS_ROOT_PATH.'/modules/myalbum/templates/myalbum_imagemanager.html');
	exit();
}

if ($op == 'upload') {
	$imgcat_handler =& xoops_gethandler('imagecategory');
	$imgcat_id = intval($_GET['imgcat_id']);
	$imgcat =& $imgcat_handler->get($imgcat_id);
	$error = false;
	if (!is_object($imgcat)) {
		$error = true;
	} else {
		$imgcatperm_handler =& xoops_gethandler('groupperm');
		if ($xoopsUser) {
			if (!$imgcatperm_handler->checkRight('imgcat_write', $imgcat_id, $xoopsUser->getGroups())) {
				$error = true;
			}
		} else {
			if (!$imgcatperm_handler->checkRight('imgcat_write', $imgcat_id, XOOPS_GROUP_ANONYMOUS)) {
				$error = true;
			}
		}
	}
	if ($error != false) {
		xoops_header(false);
		echo '</head><body><div style="text-align:center;"><input value="'._BACK.'" type="button" onclick="javascript:history.go(-1);" /></div>';
		xoops_footer();
		exit();
	}
	require_once XOOPS_ROOT_PATH.'/class/template.php';
	$xoopsTpl = new XoopsTpl();
	$xoopsTpl->assign('show_cat', $imgcat_id);
	$xoopsTpl->assign('lang_imgmanager', _IMGMANAGER);
	$xoopsTpl->assign('sitename', $xoopsConfig['sitename']);
	$xoopsTpl->assign('target', htmlspecialchars($_GET['target'], ENT_QUOTES));
	include_once XOOPS_ROOT_PATH.'/class/xoopsformloader.php';
	$form = new XoopsThemeForm('', 'image_form', 'imagemanager.php');
	$form->setExtra('enctype="multipart/form-data"');
	$form->addElement(new XoopsFormText(_IMAGENAME, 'image_nicename', 20, 255), true);
	$form->addElement(new XoopsFormLabel(_IMAGECAT, $imgcat->getVar('imgcat_name')));
	$form->addElement(new XoopsFormFile(_IMAGEFILE, 'image_file', $imgcat->getVar('imgcat_maxsize')), true);
	$form->addElement(new XoopsFormLabel(_IMGMAXSIZE, $imgcat->getVar('imgcat_maxsize')));
	$form->addElement(new XoopsFormLabel(_IMGMAXWIDTH, $imgcat->getVar('imgcat_maxwidth')));
	$form->addElement(new XoopsFormLabel(_IMGMAXHEIGHT, $imgcat->getVar('imgcat_maxheight')));
	$form->addElement(new XoopsFormHidden('imgcat_id', $imgcat_id));
	$form->addElement(new XoopsFormHidden('op', 'doupload'));
	$form->addElement(new XoopsFormHidden('target', $target));
	$form->addElement(new XoopsFormButton('', 'img_button', _SUBMIT, 'submit'));
	$form->assign($xoopsTpl);
	$xoopsTpl->assign('lang_close', _CLOSE);
	$xoopsTpl->display('db:system_imagemanager2.html');
	exit();
}

if ($op == 'doupload') {
	include_once XOOPS_ROOT_PATH.'/class/uploader.php';
	$imgcat_handler =& xoops_gethandler('imagecategory');
	$imgcat =& $imgcat_handler->get(intval($imgcat_id));
	$error = false;
	if (!is_object($imgcat)) {
		$error = true;
	} else {
		$imgcatperm_handler =& xoops_gethandler('groupperm');
		if ($xoopsUser) {
			if (!$imgcatperm_handler->checkRight('imgcat_write', $imgcat_id, $xoopsUser->getGroups())) {
				$error = true;
			}
		} else {
			if (!$imgcatperm_handler->checkRight('imgcat_write', $imgcat_id, XOOPS_GROUP_ANONYMOUS)) {
				$error = true;
			}
		}
	}
	if ($error != false) {
		xoops_header(false);
		echo '</head><body><div style="text-align:center;"><input value="'._BACK.'" type="button" onclick="javascript:history.go(-1);" /></div>';
		xoops_footer();
		exit();
	}
	$uploader = new XoopsMediaUploader(XOOPS_UPLOAD_PATH, array('image/gif', 'image/jpeg', 'image/pjpeg', 'image/x-png', 'image/png'), $imgcat->getVar('imgcat_maxsize'), $imgcat->getVar('imgcat_maxwidth'), $imgcat->getVar('imgcat_maxheight'));
	$uploader->setPrefix('img');
	if ($uploader->fetchMedia($_POST['xoops_upload_file'][0])) {
		if (!$uploader->upload()) {
			$err = $uploader->getErrors();
		} else {
			$image_handler =& xoops_gethandler('image');
			$image =& $image_handler->create();
			$image->setVar('image_name', $uploader->getSavedFileName());
			$image->setVar('image_nicename', $image_nicename);
			$image->setVar('image_mimetype', $uploader->getMediaType());
			$image->setVar('image_created', time());
			$image->setVar('image_display', 1);
			$image->setVar('image_weight', 0);
			$image->setVar('imgcat_id', $imgcat_id);
			if (!$image_handler->insert($image)) {
				$err = sprintf(_FAILSAVEIMG, $image->getVar('image_nicename'));
			}
		}
	} else {
		$err = _FAILFETCHIMG;
	}
	if (isset($err)) {
		xoops_header(false);
		xoops_error($err);
		echo '</head><body><div style="text-align:center;"><input value="'._BACK.'" type="button" onclick="javascript:history.go(-1);" /></div>';
		xoops_footer();
		exit();
	}
	header('location: imagemanager.php?cat_id='.$imgcat_id.'&target='.$target);
	exit ;
}

?>