<?php
// ------------------------------------------------------------------------- //
//                      myAlbum-P - XOOPS photo album                        //
//                        <http://www.peak.ne.jp/>                           //
// ------------------------------------------------------------------------- //

include( "header.php" ) ;
$myts =& MyTextSanitizer::getInstance() ; // MyTextSanitizer object
include_once( XOOPS_ROOT_PATH . "/class/xoopstree.php" ) ;
$cattree = new XoopsTree( $table_cat , "cid" , "pid" ) ;
include_once( XOOPS_ROOT_PATH . '/class/pagenav.php' ) ;

// GET variables
$cid = empty( $_GET['cid'] ) ? 0 : $_GET['cid'] ;
$uid = empty( $_GET['uid'] ) ? 0 : $_GET['uid'] ;
$num = empty( $_GET['num'] ) ? $myalbum_perpage : $_GET['num'] ;
if( $num < 1 ) $num = $myalbum_perpage ;
$pos = empty( $_GET['pos'] ) ? 0 : $_GET['pos'] ;
$orderbysql = isset( $_GET['orderby'] ) ? convertorderbyin( $_GET['orderby'] ) : "title ASC" ;
$orderby = convertorderbyout( $orderbysql ) ;
$view = empty( $_GET['view'] ) ? $myalbum_viewcattype : $_GET['view'] ;

include( XOOPS_ROOT_PATH . "/header.php" ) ;

if( $view == 'table' ) {
	$xoopsOption['template_main'] = 'myalbum_viewcat_table.html' ;
} else {
	$xoopsOption['template_main'] = 'myalbum_viewcat_list.html' ;
}

include( 'include/assign_globals.php' ) ;

if( $global_perms & GPERM_INSERTABLE ) $xoopsTpl->assign( 'lang_add_photo' , _ALBM_ADDPHOTO ) ;

$xoopsTpl->assign( 'lang_album_main' , _ALBM_MAIN ) ;

if( $cid > 0 ) {

	// Category Specified
	$xoopsTpl->assign( 'category_id' , $cid ) ;
	$xoopsTpl->assign( 'subcategories' , get_sub_categories( $cid , $cattree ) ) ;
	$cids = $cattree->getAllChildId( $cid ) ;
	array_push( $cids , $cid ) ;
	$photo_total_sum = get_photo_total_sum_from_cats( $cids , "status>0" ) ;
	$xoopsTpl->assign( 'album_sub_title' , $cattree->getNicePathFromId( $cid , 'title' , "viewcat.php?num=$num" ) ) ;

	$where = "cid=$cid";
	$get_append = "cid=$cid";

} else if( $uid != 0 ) {

	// This means 'my photo'
	if( $uid < 0 ) {
		$where = "submitter=$my_uid" ;
		$get_append = "uid=-1" ;
		$xoopsTpl->assign( 'uid' , -1 ) ;
		$xoopsTpl->assign( 'album_sub_title' , _ALBM_TEXT_SMNAME4 ) ;
	// uid Specified
	} else {
		$where = "submitter=$uid" ;
		$get_append = "uid=$uid" ;
		$xoopsTpl->assign( 'uid' , $uid ) ;
		$xoopsTpl->assign( 'album_sub_title' , get_name_from_uid( $uid ) ) ;
	}

} else {

	$where = "cid=0";
	$get_append = "cid=0";
	$xoopsTpl->assign( 'album_sub_title' , 'error: category id not specified' ) ;

}


$prs = $xoopsDB->query( "SELECT COUNT(lid) FROM $table_photos WHERE $where AND status>0" ) ;
list( $photo_small_sum ) = $xoopsDB->fetchRow( $prs ) ;
$xoopsTpl->assign( 'photo_small_sum' , $photo_small_sum ) ;
$xoopsTpl->assign( 'photo_total_sum' , ( empty( $photo_total_sum ) ? $photo_small_sum : $photo_total_sum ) ) ;

if( $photo_small_sum > 0 ) {

	$prs = $xoopsDB->query( "SELECT l.lid, l.cid, l.title, l.ext, l.res_x, l.res_y, l.status, l.date, l.hits, l.rating, l.votes, l.comments, l.submitter, t.description FROM $table_photos l LEFT JOIN $table_text t ON l.lid=t.lid WHERE $where AND l.status>0 ORDER BY $orderbysql" , $num , $pos ) ;

	//if 2 or more items in result, num the navigation menu
	if( $photo_small_sum > 1 ) {

		// Assign navigations like order and division
		$xoopsTpl->assign( 'show_nav' ,  true ) ;
		$xoopsTpl->assign( 'lang_sortby' , _ALBM_SORTBY ) ;
		$xoopsTpl->assign( 'lang_title' , _ALBM_TITLE ) ;
		$xoopsTpl->assign( 'lang_date' , _ALBM_DATE ) ;
		$xoopsTpl->assign( 'lang_rating' , _ALBM_RATING ) ;
		$xoopsTpl->assign( 'lang_popularity' , _ALBM_POPULARITY ) ;
		$xoopsTpl->assign( 'lang_cursortedby' , sprintf( _ALBM_CURSORTEDBY , convertorderby_sql2human( $orderbysql ) ) ) ;

		$nav = new XoopsPageNav( $photo_small_sum , $num , $pos , 'pos' , "$get_append&num=$num&orderby=$orderby" ) ;
		$nav_html = $nav->renderNav( 10 ) ;
		$last = $pos + $num ;
		if( $last > $photo_small_sum ) $last = $photo_small_sum ;
		$photonavinfo = sprintf( _ALBM_AM_PHOTONAVINFO , $pos + 1 , $last , $photo_small_sum ) ;
		$xoopsTpl->assign( 'photonav' , $nav_html ) ;
		$xoopsTpl->assign( 'photonavinfo' , $photonavinfo ) ;
	}

	// Display photos
	$count = 1 ;
	while( $fetched_result_array = $xoopsDB->fetchArray( $prs ) ) {
		$photo = get_array_for_photo_assign( $fetched_result_array ) + array( 'count' => $count ++ ) ;
		$xoopsTpl->append( 'photos' , $photo ) ;
	}
}

include( XOOPS_ROOT_PATH . "/footer.php" ) ;

?>