<?php
$modversion['name'] = _DB_BACKUP_NAME;
$modversion['version'] = 2.17;
$modversion['description'] = _DB_BACKUP_DESC;
$modversion['author'] = "webmaster@nagl.ch";
$modversion['credits'] = "Peter Nagl<br>http://www.nagl.ch";
$modversion['help'] = "";
$modversion['license'] = "GPL see LICENSE";
$modversion['official'] = 0;
$modversion['image'] = "images/slogo.png";
$modversion['dirname'] = "backup";

// Admin things
$modversion['hasAdmin'] = 1;
$modversion['adminindex'] = "admin/index.php";

// Blocks
$modversion['blocks'][1]['file'] = "backupblock.php";
$modversion['blocks'][1]['name'] = _DB_BACKUP_BNAME1;
$modversion['blocks'][1]['description'] = _DB_BACKUP_DESC;
$modversion['blocks'][1]['show_func'] = "b_backup_show";

// Menu
$modversion['hasMain'] = 0;

//Config
$modversion['config'][1]['name'] = 'cfgBackupTarget';
$modversion['config'][1]['title'] = '_DB_TARGET';
$modversion['config'][1]['description'] = '';
$modversion['config'][1]['formtype'] = 'select';
$modversion['config'][1]['valuetype'] = 'text';
$modversion['config'][1]['default'] = 'email';
$modversion['config'][1]['options'] = array('Download' => 'download', 'E-Mail' => 'email', 'Cache' => 'cache');

$modversion['config'][2]['name'] = 'drop';
$modversion['config'][2]['title'] = '_DB_ALLOWDROP';
$modversion['config'][2]['description'] = '';
$modversion['config'][2]['formtype'] = 'yesno';
$modversion['config'][2]['valuetype'] = 'int';
$modversion['config'][2]['default'] = 0;

$modversion['config'][3]['name'] = 'cfgZipType';
$modversion['config'][3]['title'] = '_DB_ZIPTYPE';
$modversion['config'][3]['description'] = '';
$modversion['config'][3]['formtype'] = 'select';
$modversion['config'][3]['valuetype'] = 'text';
$modversion['config'][3]['default'] = 'zip';
$modversion['config'][3]['options'] = array('gzip' => 'gzip', 'bzip' => 'bzip', 'zip' => 'zip', 'Sql' => 'sql');

$modversion['config'][4]['name'] = 'cfgExecTimeLimit';
$modversion['config'][4]['title'] = '_DB_EXECTIMELIMIT';
$modversion['config'][4]['description'] = '';
$modversion['config'][4]['formtype'] = 'int';
$modversion['config'][4]['valuetype'] = 'int';
$modversion['config'][4]['default'] = 300;

$modversion['config'][5]['name'] = 'use_backquotes';
$modversion['config'][5]['title'] = '_DB_ALLOWBACKQUOTES';
$modversion['config'][5]['description'] = '';
$modversion['config'][5]['formtype'] = 'yesno';
$modversion['config'][5]['valuetype'] = 'int';
$modversion['config'][5]['default'] = 0;
?>
