<?php
/***************************************************************************
 * Xoops i-stats module
 *
 * Ported to xoops 2 by sylvainb
 * http://123rando.com
 *
 * Version 1.00
 *
 ***************************************************************************
 *
 * E-Xoops i-Stats module
 *
 * Scripters i-Stats module
 * Version 1.02
 *
 * author Paul Cooke <paul_sw19@yahoo.com>
 * http://paul-cooke.com
 *
 * copyright
 * Copyright (c) 2003 Paul Cooke <paul_sw19@yahoo.com>
 *
 * license
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */

$modversion['name']        = _MI_ISTATS_NAME;
$modversion['version']     = 1.01;
$modversion['description'] = _MI_ISTATS_DESC;
$modversion['author']	   = 'Original module: Paul Cooke (alias Scripter)<br />Xoops 2 adaptation: Sylvain B.';
$modversion['credits']     = "Sam Tang for the original i_Stats script.";
$modversion['license']     = "GPL see LICENSE";
$modversion['official']    = 0;
$modversion['image']       = "images/istats_slogo.gif";
$modversion['dirname']     = "istats";

/**
 * @upgrade
 * v1.01 to v1.02
 * Upload the files to your server.
 * From E-Xoops Admin update module 'Web Stats'.
 *
 */
// Blocks
$modversion['blocks'][1]['file']        = 'istats_blocks.php';
$modversion['blocks'][1]['name']        = _MI_ISTATS_NAME;
$modversion['blocks'][1]['description'] = 'Shows stats';
$modversion['blocks'][1]['show_func']   = 'b_istats_show';

// All tables should not have any prefix!
$modversion['sqlfile']['mysql'] = "sql/mysql.sql";

$modversion['tables'][0]   = "is_count";
$modversion['tables'][1]   = "is_daycount";
$modversion['tables'][2]   = "is_referer";
$modversion['tables'][3]   = "is_hour";
$modversion['tables'][4]   = "is_todayhour";
$modversion['tables'][5]   = "is_browser";
$modversion['tables'][6]   = "is_os";
$modversion['tables'][7]   = "is_hostname";
$modversion['tables'][8]   = "is_week";
$modversion['tables'][9]   = "is_week_count";
$modversion['tables'][10]  = "is_month";
$modversion['tables'][11]  = "is_month_days";
$modversion['tables'][12]  = "is_screen";
$modversion['tables'][13]  = "is_color";
$modversion['tables'][14]  = "is_page";

// Admin things
$modversion['hasAdmin']    = 0;

// Blocks

// Menu
$modversion['hasMain'] = 1;

// Search
$modversion['hasSearch']   = 0;

// Comments
$modversion['hasComment']  = 0;
?>
