<?php

function b_myalbum_rphoto_show( $options )
{
	global $xoopsDB;

	include( XOOPS_ROOT_PATH.'/modules/myalbum/include/read_configs.php' ) ;

	$block = array() ;
	$myts =& MyTextSanitizer::getInstance() ;

	// Get number of photo 
	$result = $xoopsDB->query( "SELECT count(lid) FROM $table_photos WHERE status>0" ) ;
	list( $numrows ) = $xoopsDB->fetchRow( $result ) ;
	if( $numrows < 1 ) return $block ;

	if( $numrows <= $options[1] ) {
		$result = $xoopsDB->query( "SELECT lid , cid , title , ext , res_x , res_y , submitter , status , date AS unixtime , hits , rating , votes , comments FROM $table_photos WHERE status>0" ) ;
	} else {
		$result = $xoopsDB->query( "SELECT lid FROM $table_photos WHERE status>0" ) ;
		$lids = array() ;
		$sel_lids = array() ;
		while( list( $lid ) = $xoopsDB->fetchRow( $result ) ) $lids[] = $lid ;
		srand( (float) microtime() * 10000000 ) ;
		$sel_lids = array_rand( $lids , $options[1] ) ;
		if( is_array( $sel_lids ) ) {
			$whr_lid = '' ;
			foreach( $sel_lids as $key ) $whr_lid .= $lids[ $key ] . "," ;
			$whr_lid = substr( $whr_lid , 0 , -1 ) ;
		} else {
			$whr_lid = $lids[ $sel_lids ] ;
		}
		$result = $xoopsDB->query( "SELECT lid , cid , title , ext , res_x , res_y , submitter , status , date AS unixtime , hits , rating , votes , comments FROM $table_photos WHERE status>0 AND lid IN ($whr_lid)" ) ;
	}

	while( $photo = $xoopsDB->fetchArray( $result ) ) {
		$photo['title'] = $myts->makeTboxData4Show( $photo['title'] ) ;
		$photo['suffix'] = $photo['hits'] > 1 ? 'hits' : 'hit' ;
		$photo['date'] = formatTimestamp( $photo['unixtime'] , 's' ) ;
		$photo['thumbs_url'] = $thumbs_url ;

		// width&height attirbs for <img>
		$limit = intval( $options[0] ) ;
		if( $limit <= 0 ) {
			$photo['img_attribs'] = "" ;
		} else {
			list( $width , $height , $type ) = getimagesize( "$thumbs_dir/{$photo['lid']}.{$photo['ext']}" ) ;
			if( $width > $limit || $height > $limit ) {
				if( $width > $height ) $photo['img_attribs'] = "width='$limit'" ;
				else $photo['img_attribs'] = "height='$limit'" ;
			} else {
				$photo['img_attribs'] = "" ;
			}
		}

		$block['photo'][] = $photo ;
	}

	return $block ;
}


function b_myalbum_rphoto_edit( $options )
{
	$form = _ALBM_TEXT_BLOCK_WIDTH."&nbsp;
		<input type='text' size='6' name='options[]' value='".$options[0]."' />&nbsp;pixel "._ALBM_TEXT_BLOCK_WIDTH_NOTES."<br />
		"._ALBM_TEXT_DISP . "&nbsp; <input type='text' size='3' name='options[1]' value='{$options[1]}' />
		\n" ;

	return $form ;
}
?>