<?php
	global $xoopsConfig , $xoopsDB , $xoopsUser ;

	// module information
	$mod_url = XOOPS_URL . "/modules/myalbum" ;
	$mod_path = XOOPS_ROOT_PATH . "/modules/myalbum" ;
	$mod_copyright = "<a href='http://www.peak.ne.jp/'><b>myAlbum-P 2.6</b></a> &nbsp; <small>(<a href='http://bluetopia.homeip.net/'>original</a>)</small></div>" ;

	// global langauge file
	$language = $xoopsConfig['language'] ;
	if ( file_exists( "$mod_path/language/$language/myalbum_constants.php" ) ) {
		include_once "$mod_path/language/$language/myalbum_constants.php" ;
	} else {
		include_once "$mod_path/language/english/myalbum_constants.php" ;
		$language = "english" ;
	}

	// read from xoops_config
	// get my mid
	$rs = $xoopsDB->query( "SELECT mid FROM ".$xoopsDB->prefix('modules')." WHERE dirname='myalbum'" ) ;
	list( $myalbum_mid ) = $xoopsDB->fetchRow( $rs ) ;
	
	// read configs from xoops_config directly
	$rs = $xoopsDB->query( "SELECT conf_name,conf_value FROM ".$xoopsDB->prefix('config')." WHERE conf_modid=$myalbum_mid" ) ;
	while( list( $key , $val ) = $xoopsDB->fetchRow( $rs ) ) {
		$myalbum_configs[ $key ] = $val ;
	}

	foreach( $myalbum_configs as $key => $val ) {
		if( strncmp( $key , "myalbum_" , 8 ) == 0 ) $$key = $val ;
	}

	// User Informations
	if( empty( $xoopsUser ) ) {
		$my_uid = 0 ;
		$isadmin = false ;
	} else {
		$my_uid = $xoopsUser->uid() ;
		$isadmin = $xoopsUser->isAdmin( $myalbum_mid ) ;
	}

	// Value Check
	$myalbum_addposts = intval( $myalbum_addposts ) ;
	if( $myalbum_addposts < 0 ) $myalbum_addposts = 0 ;

	// Path of Main Photo & Thumbnail ;
	if( ord( $myalbum_photospath ) != 0x2f ) $myalbum_photospath = "/$myalbum_photospath" ;
	if( ord( $myalbum_thumbspath ) != 0x2f ) $myalbum_thumbspath = "/$myalbum_thumbspath" ;
	$photos_dir = XOOPS_ROOT_PATH . $myalbum_photospath ;
	$photos_url = XOOPS_URL . $myalbum_photospath ;
	$thumbs_dir = XOOPS_ROOT_PATH . $myalbum_thumbspath ;
	$thumbs_url = $myalbum_makethumb ? XOOPS_URL . $myalbum_thumbspath : $photos_url ;

	// DB table name (if you use this module multiplly, change here.)
	$table_photos = $xoopsDB->prefix( "myalbum_photos" ) ;
	$table_cat = $xoopsDB->prefix( "myalbum_cat" ) ;
	$table_text = $xoopsDB->prefix( "myalbum_text" ) ;
	$table_votedata = $xoopsDB->prefix( "myalbum_votedata" ) ;
	$table_comments = $xoopsDB->prefix( "xoopscomments" ) ;

	// Pipe environment check
	if( $myalbum_imagingpipe || function_exists( 'imagerotate' ) ) $myalbum_canrotate = true ;
	else $myalbum_canrotate = false ;
	if( $myalbum_imagingpipe || $myalbum_forcegd2 ) $myalbum_canresize = true ;
	else $myalbum_canresize = false ;

	// If you recieve another type of picture file , add it here.
	$array_allowed_exts = array( 'jpg' , 'jpeg' , 'gif' , 'png' ) ;
	$array_allowed_mimetypes = array("image/gif","image/pjpeg","image/jpeg","image/x-png") ;

?>