<?php
// ------------------------------------------------------------------------- //
//                      myAlbum-P - XOOPS photo album                        //
//                        <http://www.peak.ne.jp/>                           //
// ------------------------------------------------------------------------- //

include("header.php");
$myts =& MyTextSanitizer::getInstance() ; // MyTextSanitizer object
include_once( XOOPS_ROOT_PATH . "/class/xoopstree.php" ) ;
$cattree = new XoopsTree( $table_cat , "cid" , "pid" ) ;

include( XOOPS_ROOT_PATH . "/header.php" ) ;

$xoopsOption['template_main'] = 'myalbum_index.html' ;

include( 'include/assign_globals.php' ) ;

$xoopsTpl->assign( 'subcategories' , get_sub_categories( 0 , $cattree ) ) ;

$prs = $xoopsDB->query( "SELECT COUNT(lid) FROM $table_photos WHERE status>0" ) ;
list( $photo_num_total ) = $xoopsDB->fetchRow( $prs ) ;

$xoopsTpl->assign( 'photo_global_sum' , sprintf( _ALBM_THEREARE , $photo_num_total ) ) ;
if( $global_perms & GPERM_INSERTABLE ) $xoopsTpl->assign( 'lang_add_photo' , _ALBM_ADDPHOTO ) ;

// Assign Latest Photos
$prs = $xoopsDB->query( "SELECT l.lid, l.cid, l.title, l.ext, l.res_x, l.res_y, l.status, l.date, l.hits, l.rating, l.votes, l.comments, l.submitter, t.description FROM $table_photos l LEFT JOIN $table_text t ON l.lid=t.lid WHERE l.status>0 ORDER BY date DESC" , $myalbum_newphotos , 0 ) ;
while( $fetched_result_array = $xoopsDB->fetchArray( $prs ) ) {
	$xoopsTpl->append_by_ref( 'photos' , get_array_for_photo_assign( $fetched_result_array ) ) ;
}

include( XOOPS_ROOT_PATH . "/footer.php" ) ;

?>