<?php
// ------------------------------------------------------------------------- //
//                      myAlbum-P - XOOPS photo album                        //
//                        <http://www.peak.ne.jp/>                           //
// ------------------------------------------------------------------------- //

include( "header.php" ) ;
$myts =& MyTextSanitizer::getInstance() ; // MyTextSanitizer object
include_once( XOOPS_ROOT_PATH."/class/xoopstree.php" ) ;
$cattree = new XoopsTree( $table_cat , "cid" , "pid" ) ;

// GET variables
$lid = empty( $_GET['lid'] ) ? 0 : $_GET['lid'] ;
$cid = empty( $_GET['cid'] ) ? 0 : $_GET['cid'] ;

include( XOOPS_ROOT_PATH . "/header.php" ) ;

if( $global_perms & GPERM_INSERTABLE ) $xoopsTpl->assign( 'lang_add_photo' , _ALBM_ADDPHOTO ) ;

$xoopsTpl->assign( 'lang_album_main' , _ALBM_MAIN ) ;

$xoopsOption['template_main'] = 'myalbum_photo.html' ;

include( 'include/assign_globals.php' ) ;

// update hit count
$xoopsDB->queryF( "UPDATE $table_photos SET hits=hits+1 WHERE lid=$lid AND status>0" ) ;

$prs = $xoopsDB->query( "SELECT l.lid, l.cid, l.title, l.ext, l.res_x, l.res_y, l.status, l.date, l.hits, l.rating, l.votes, l.comments, l.submitter, t.description FROM $table_photos l LEFT JOIN $table_text t ON l.lid=t.lid WHERE l.lid=$lid AND status>0" ) ;
$p = $xoopsDB->fetchArray( $prs ) ;
if( $p == false ) {
	redirect_header( $mod_url , 3 , _ALBM_NOMATCH ) ;
	exit ;
}
$photo = get_array_for_photo_assign( $p ) ;
$xoopsTpl->assign_by_ref( 'photo' , $photo ) ;

// Category Information
$cid = empty( $p['cid'] ) ? $cid : $p['cid'] ;
$xoopsTpl->assign( 'category_id' , $cid ) ;
$cids = $cattree->getAllChildId( $cid ) ;
$xoopsTpl->assign( 'album_sub_title' , $cattree->getNicePathFromId( $cid , 'title' , "viewcat.php?num=$myalbum_perpage" ) ) ;

// create category navigation
$fullcountresult = $xoopsDB->query( "SELECT lid FROM $table_photos WHERE cid=$cid and status>0" ) ;
$ids = array() ;
while( list( $id ) = $xoopsDB->fetchRow( $fullcountresult ) ) {
	$ids[] = $id ;
}

$photo_nav = "" ;
$numrows = count( $ids ) ;
$pos = array_search( $lid , $ids ) ;
if( $numrows > 1 ) {
	// prev mark
	if( $ids[0] != $lid ) {
		$photo_nav .= "<a href='photo.php?lid=".$ids[0]."'><b>[&lt; </b></a>&nbsp;&nbsp;";
		$photo_nav .= "<a href='photo.php?lid=".$ids[$pos-1]."'><b>"._ALBM_PREVIOUS."</b></a>&nbsp;&nbsp;";
	    
	}

	$nwin = 7 ;
	if( $numrows > $nwin ) { // window
		if( $pos > $nwin / 2 ) {
			if( $pos > round( $numrows - ( $nwin / 2 ) - 1 ) ) {
				$start = $numrows - $nwin + 1 ;
			} else {
				$start = round( $pos - ( $nwin / 2 ) ) + 1 ;
			}
		} else {
			$start = 1 ;
		}
	} else {
		$start = 1 ;
	}
	
	for( $i = $start; $i < $numrows + 1 && $i < $start + $nwin ; $i++ ) {
		if( $ids[$i-1] == $lid ) {
			$photo_nav .= "$i&nbsp;&nbsp;";
		} else {
			$photo_nav .= "<a href='photo.php?lid=".$ids[$i-1]."'>$i</a>&nbsp;&nbsp;";
		}
	}

	// next mark
	if( $ids[$numrows-1] != $lid ) {
		$photo_nav .= "<a href='photo.php?lid=".$ids[$pos+1]."'><b>"._ALBM_NEXT."</b></a>&nbsp;&nbsp;" ;
		$photo_nav .= "<a href='photo.php?lid=".$ids[$numrows-1]."'><b> &gt;]</b></a>" ;
	}
}

$xoopsTpl->assign( 'photo_nav' , $photo_nav ) ;

// comments

include XOOPS_ROOT_PATH.'/include/comment_view.php';

include( XOOPS_ROOT_PATH . "/footer.php" ) ;

?>