<?php
// ------------------------------------------------------------------------- //
//                      myAlbum-P - XOOPS photo album                        //
//                        <http://www.peak.ne.jp/>                           //
// ------------------------------------------------------------------------- //
include( "header.php" ) ;
$myts =& MyTextSanitizer::getInstance() ;

if( ! ( $global_perms & GPERM_RATEVOTE ) ) {
	redirect_header(XOOPS_URL.'/index.php', 1, _NOPERM);
	exit ;
}

$lid = empty( $_GET['lid'] ) ? 0 : $_GET['lid'] ;
$lid = empty( $_POST['lid'] ) ? $lid : $_POST['lid'] ;

if( ! empty( $_POST['submit'] ) ) {

	$ratinguser = $my_uid ;

	//Make sure only 1 anonymous from an IP in a single day.
	$anonwaitdays = 1 ;
	$ip = getenv( "REMOTE_ADDR" ) ;
	$lid = $_POST['lid'] ;
	$rating = intval( $_POST['rating'] ) ;
	// Check if rating is valid
	if( $rating <= 0 || $rating > 10 ) {
		redirect_header( "ratephoto.php?lid=$lid" , 4 , _ALBM_NORATING ) ;
		exit ;
	}

	if( $ratinguser != 0 ) {

		// Check if Photo POSTER is voting
		$rs = $xoopsDB->query( "SELECT COUNT(*) FROM $table_photos WHERE lid=$lid AND submitter=$ratinguser" ) ;
		list( $is_my_photo ) = $xoopsDB->fetchRow( $rs ) ;
		if( $is_my_photo ) {
			redirect_header( "index.php" , 4 , _ALBM_CANTVOTEOWN ) ;
			exit ;
		}

		// Check if REG user is trying to vote twice.
		$rs = $xoopsDB->query( "SELECT COUNT(*) FROM $table_votedata WHERE lid=$lid AND ratinguser=$ratinguser" ) ;
		list( $has_already_rated ) = $xoopsDB->fetchRow( $rs ) ;
		if( $has_already_rated ) {
			redirect_header( "index.php" , 4 , _ALBM_VOTEONCE2 ) ;
			exit ;
		}

	} else {
		// Check if ANONYMOUS user is trying to vote more than once per day.
		$yesterday = ( time() - (86400 * $anonwaitdays ) ) ;
		$rs = $xoopsDB->query( "SELECT COUNT(*) FROM $table_votedata WHERE lid=$lid AND ratinguser=0 AND ratinghostname='$ip' AND ratingtimestamp > $yesterday");
		list( $anonvotecount ) = $xoopsDB->fetchRow( $rs ) ;
		if( $anonvotecount ) {
			redirect_header( "index.php" , 4 , _ALBM_VOTEONCE2 ) ;
			exit ;
		}
	}

	//All is well.  Add to Line Item Rate to DB.
	$newid = $xoopsDB->genId( $table_votedata . "_ratingid_seq" ) ;
	$datetime = time() ;
	$xoopsDB->query( "INSERT INTO $table_votedata (ratingid, lid, ratinguser, rating, ratinghostname, ratingtimestamp) VALUES ($newid, $lid, $ratinguser, $rating, '$ip', $datetime)") or die( "DB error: INSERT votedata table" ) ;

	//All is well.  Calculate Score & Add to Summary (for quick retrieval & sorting) to DB.
	updaterating( $lid ) ;
	$ratemessage = _ALBM_VOTEAPPRE."<br />".sprintf( _ALBM_THANKURATE , $xoopsConfig['sitename'] ) ;
	redirect_header( "index.php" , 2 , $ratemessage ) ;
	exit ;

} else {

	$xoopsOption['template_main'] = 'myalbum_ratephoto.html';
	include( XOOPS_ROOT_PATH."/header.php" ) ;
	$rs = $xoopsDB->query( "SELECT title,ext FROM $table_photos WHERE lid=$lid") ;	if( $rs == false ) {
		redirect_header( "ratephoto.php?lid=$lid" , 4 , _ALBM_NOMATCH ) ;
		exit ;
	}
	list( $title , $ext ) = $xoopsDB->fetchRow( $rs ) ;
	$title = $myts->makeTboxData4Show( $title ) ;
	$ext = $myts->makeTboxData4Edit( $ext ) ;
	include( 'include/assign_globals.php' ) ;
		$width_spec = "width='$myalbum_thumbsize'" ;
	if( $myalbum_makethumb ) {
		list( $width , $height , $type ) = getimagesize( "$thumbs_dir/$lid.$ext" ) ;
		if( $width <= $myalbum_thumbsize ) 
		// if thumb images was made, 'width' and 'height' will not set.
		$width_spec = '' ;
	}

	$xoopsTpl->assign( 'photo' , array( 'lid' => $lid , 'title' => $title , 'ext' => $ext , 'imgsrc_thumb' => "$thumbs_url/$lid.$ext" , 'width_spec' => ( $myalbum_makethumb ? '' : "width='$myalbum_thumbsize'" ) ) ) ;
	$xoopsTpl->assign( 'lang_voteonce' , _ALBM_VOTEONCE ) ;
	$xoopsTpl->assign( 'lang_ratingscale' , _ALBM_RATINGSCALE ) ;
	$xoopsTpl->assign( 'lang_beobjective' , _ALBM_BEOBJECTIVE ) ;
	$xoopsTpl->assign( 'lang_donotvote' , _ALBM_DONOTVOTE ) ;
	$xoopsTpl->assign( 'lang_rateit' , _ALBM_RATEIT ) ;
	$xoopsTpl->assign( 'lang_cancel' , _CANCEL ) ;
	include( XOOPS_ROOT_PATH . "/footer.php" ) ;

}
?>